﻿<Graph ClassName="AMProdItemExtensions" Source="#CDATA" IsNew="True" FileType="NewFile">
    <CDATA name="Source"><![CDATA[using PX.Objects.AM;
using PX.Data;
using PX.Objects;
using System;
using PX.Objects.CS;

namespace PX.Objects.AM
{
    public class AMProdItemExt : PXCacheExtension<AMProdItem>
    {
        #region UsrSpoilagePct
        [PXDBDecimal(4)]
        [PXUIField(DisplayName = "Spoilage Pct.")]
        [PXDefault(TypeCode.Decimal, "0.0000", PersistingCheck = PXPersistingCheck.Nothing)]
        public virtual Decimal? UsrSpoilagePct { get; set; }
        public abstract class usrSpoilagePct : PX.Data.BQL.BqlDecimal.Field<usrSpoilagePct> { }
        #endregion

        #region UsrOrderQty
        [PXDBDecimal(4)]
        [PXUIField(DisplayName = "Order Qty.")]
        [PXDefault(TypeCode.Decimal, "0.0000", PersistingCheck = PXPersistingCheck.Nothing)]
        public virtual Decimal? UsrOrderQty { get; set; }
        public abstract class usrOrderQty : PX.Data.BQL.BqlDecimal.Field<usrOrderQty> { }
        #endregion

        #region UsrSpoilageAllowance
        [PXDBDecimal(4)]
        [PXUIField(DisplayName = "Spoilage Allowance", Enabled = false)]
        [PXDefault(TypeCode.Decimal, "0.0000", PersistingCheck = PXPersistingCheck.Nothing)]
        [PXFormula(typeof(Div<Mult<usrOrderQty, usrSpoilagePct>, decimal100>), null)]
        public virtual Decimal? UsrSpoilageAllowance { get; set; }
        public abstract class usrSpoilageAllowance : PX.Data.BQL.BqlDecimal.Field<usrSpoilageAllowance> { }
        #endregion
    }
}]]></CDATA>
</Graph>